# LedgerEntryResponse | xrpl
Documentation for xrpl

# Interface LedgerEntryResponse<T>

Response expected from a LedgerEntryRequest.

#### Type Parameters

- #### T = LedgerEntry

#### Hierarchy

- BaseResponse
  - LedgerEntryResponse

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:193

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
index: string;
ledger_current_index: number;
node?: T;
node_binary?: string;
validated?: boolean;
}

#### Type declaration

- ##### index: string

  The unique ID of this ledger object.

- ##### ledger_current_index: number

  The ledger index of the ledger that was used when retrieving this data.

- ##### `Optional` node?: T

  Object containing the data of this ledger object, according to the ledger format.

- ##### `Optional` node_binary?: string

  The binary representation of the ledger object, as hexadecimal.

- ##### `Optional` validated?: boolean

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:194

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc